<!-- Copyright (C) 2017-2020 Linagora

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>. -->

<div fxFlexFill fxLayout="column" class="wrapper-content">
  <div *ngIf="serviceUnit$ | async as su" fxLayout="column" fxLayoutGap="20px" class="content">
    <mat-card fxFlex class="card-component-lifecycle">
      <mat-card-title class="light-bold su-name">About {{ su.name }}</mat-card-title>

      <mat-card-content class="margin-top-x1">
        <span fxLayout="row" class="mat-body-2 margin-bottom-x1">State</span>

        <div fxLayout="row" fxLayoutAlign="start center">
          <span class="su-state">{{ su.serviceAssembly.state }}</span>
          <app-led [color]="getLedColorFromState(su.serviceAssembly.state)" class="su-state-led margin-left-x1"></app-led>
        </div>
      </mat-card-content>
    </mat-card>

    <mat-card fxFlex class="card-related-elements">
      <mat-card-title class="light-bold title-related-elements">Related Elements</mat-card-title>

      <mat-card-content>
        <div fxLayout="column" fxLayoutGap="20px">
          <div
            fxLayout="row"
            fxLayout.lt-md="column"
            fxLayoutGap.lt-md="20px"
            fxLayoutAlign="start center"
            class="margin-top-x1"
          >
            <div fxFlex="0 0 140px" fxFlex.lt-md="none" fxFlexFill>Service Assembly</div>

            <div
              fxLayoutGap="5px"
              fxLayout="row"
              fxFlexFill
              fxLayoutAlign="start center"
            >
              <a
                color="primary"
                mat-stroked-button
                [routerLink]="['/workspaces', (workspaceId$ | async), 'petals', 'service-assemblies', su.serviceAssembly.id]"
                class="btn-sa"
              >
                <span fxFlex class="sa-name ellipsis">{{ su.serviceAssembly.name }}</span>
              </a>

              <app-led
                matTooltipPosition="above"
                [color]="getLedColorFromState(su.serviceAssembly.state)"
                [matTooltip]="su.serviceAssembly.state"
                class="sa-led"
              ></app-led>
            </div>
          </div>

          <div
            fxLayout="row"
            fxLayout.lt-md="column"
            fxLayoutGap.lt-md="20px"
            fxLayoutAlign="start center"
            class="margin-top-x1"
          >
            <div fxFlex="0 0 140px" fxFlex.lt-md="none" fxFlexFill>Component</div>

            <div
              fxLayoutGap="5px"
              fxLayout="row"
              fxFlexFill
              fxLayoutAlign="start center"
            >
              <a
                color="primary"
                mat-stroked-button
                [routerLink]="['/workspaces', (workspaceId$ | async), 'petals', 'components', su.component.id]"
                class="btn-comp"
              >
                <span fxFlex class="comp-name ellipsis">{{ su.component.name }}</span>
              </a>

              <app-led
                matTooltipPosition="above"
                [color]="getLedColorFromState(su.component.state)"
                [matTooltip]="su.serviceAssembly.state"
                class="comp-led"
              ></app-led>
            </div>
          </div>
        </div>
      </mat-card-content>
    </mat-card>
  </div>
</div>
